## ros-melodic-leuze-phidget-driver 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(leuze_phidget_driver)

add_compile_options(-std=c++14)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  leuze_msgs
  std_msgs
)

find_package(Boost REQUIRED)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDES}
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp leuze_msgs std_msgs
)

add_executable(leuze_phidget_driver_node src/leuze_phidget_driver_node.cpp
                                         src/leuze_phidget_driver.cpp)
target_link_libraries(leuze_phidget_driver_node ${catkin_LIBRARIES})
add_dependencies(leuze_phidget_driver_node ${catkin_EXPORTED_TARGETS})

install(TARGETS leuze_phidget_driver_node RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-leuze-phidget-driver (1.0.1-1bionic) bionic; urgency=high



 -- Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>  Wed, 13 Nov 2019 23:00:00 -0000

ros-melodic-leuze-phidget-driver (1.0.0-1bionic) bionic; urgency=high

  * Merge branch 'package_updates' into 'master'
    Package updates
    See merge request ipa326/leuze_ros_drivers!10
  * Added author and maintainer info
  * Updated README.md of all packages
  * Merge branch 'WP2-documentation' into 'master'
    Added WP2 documentation
    See merge request ipa326/leuze_ros_drivers!9
  * Added WP2 documentation
  * Merge branch 'refactoring' into 'master'
    Refactoring
    See merge request ipa326/leuze_ros_drivers!7
  * added License to all packages
  * Added the phidget driver
  * Contributors: Ludovic Delval, kut

 -- Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>  Sun, 10 Nov 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-leuze-phidget-driver
Section: misc
Priority: optional
Maintainer: Ludovic Delval <ludovic.delval@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-leuze-msgs, ros-melodic-roscpp, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-leuze-phidget-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-leuze-msgs, ros-melodic-roscpp, ros-melodic-std-msgs
Description: The phidget interface kit driver package for leuze lasers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leuze-phidget-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
